<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" xmlns="http://www.w3.org/1999/html"
      layout:decorate="~{layout5}">
<head>
    <meta charset="UTF-8">
    <title>Attendance Event Reports Detail</title>
</head>
<body>
<main layout:fragment="main" class="container">
    <!--    <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>-->
    <div class="row">
        <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                <span>Attendance Event Reports Detail</span>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="shadow-sm p-3 mb-3 bg-body bg-opacity-50 border rounded">
                <!--            <div class="card-header p-3 align-middle">-->
                <form method="get" class="form-horizontal">
<!--                <form method="get" th:action="@{/attendance/event/detail(scheduleEvent=${scheduleEvent.getId()})}">-->
                    <div class="row">
                        <p>Resume Schedule event..</p>
<!--                        <div class="col-md-6">-->
<!--                            Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                        </div>-->

                        <div class="col-md-6" align="right">
                            <input type="hidden" id="sheduleEvent" name="scheduleEvent" th:value="${scheduleEvent.getId()}">
                            <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">


                            <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                        </div>
                    </div>
                </form>
                <br>
                <!--            </div>-->
                <!--            <div class="card-body align-middle">-->
                <!--                <a class="btn btn-primary btn-sm" style="&#45;&#45;bs-btn-bg: #15408d; background-image: var(&#45;&#45;bs-gradient);" th:href="@{/setting/schedule/event/new}">+New Schedule</a>-->
                <!--               <br>-->
                <!--                <br>-->

                <div class="table-responsive">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th style="width: 20%">Employee</th>
                            <th style="width: 20%">Sign</th>
                            <th>Resume</th>
                            <th style="width: 20px;">Attachement</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr class="align-middle" th:each="data,row : ${detailAttendanceEvent}">
                            <td th:text="${(row.index + 1)}">1.</td>
                            <td th:text="${data.getEmployes().getFullName()}"></td>
                            <td th:text="${#temporals.format(data.getDateTimeIn(),'dd-MMM-yyyy hh:mm:ss')}"></td>
                            <td th:utext="${data.getDescription()}"></td>
                            <td>
                                <a th:if="${data.getFileUpload()!= ''}" class="btn btn-success" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"th:href="@{/attendance/{attendanceScheduleEvent}/event/(attendanceScheduleEvent = ${data.getId()})}" target="_blank">
                                    Attachment
                                </a>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <!--            </div>-->
                <!--            <div class="card-footer align-middle">-->
                <br>
<!--                <nav aria-label="Page navigation example small">-->
<!--                    <ul class="pagination" sd:pagination="full">-->
<!--                    </ul>-->
<!--                </nav>-->
            </div>
        </div>
    </div>
</main>
</body>
</html>